DISPDATA_GET_NEXT_BLINKSTATE(3)

EXPERIMENTAL_FUNC
dispdata_get_next_blinkstate - Get next blinkstate for a window.

SYNOPSIS
#include <karma_dispdata.h>

KDisplayDataBlinkState dispdata_get_next_blinkstate

(KDisplayDataBlinkState blinkstate, flag circular, void **info)

DESCRIPTION
Get next blinkstate for a window.

blinkstate
    The current blinkstate.

circular
    If TRUE, the list of blinkstates is treated as circular.

info
    The arbitrary information pointer is written here. If this is NULL, nothing is written here.

RETURN VALUE
A KDisplayDataBlinkState object. NULL is returned if there are no more blinkstates associated with this window.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/